Package org.bukkit.inventory.meta

# Interface SpawnEggMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface SpawnEggMeta extends ItemMeta
Represents a spawn egg and it's spawned type.

## Method Summary

Modifier and Type
Method
Description
`@NotNull SpawnEggMeta`
`clone()`
`EntityType`
`getSpawnedType()`
Deprecated.
different types are different items
`void`
`setSpawnedType(EntityType type)`
Deprecated.
different types are different items

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### getSpawnedType

@Deprecated @Contract("-> fail") EntityType getSpawnedType()
Deprecated.
different types are different items
Get the type of entity this egg will spawn.

Returns:
  The entity type. May be null for implementation specific default.

### setSpawnedType

@Deprecated @Contract("_ -> fail") void setSpawnedType(EntityType type)
Deprecated.
different types are different items
Set the type of entity this egg will spawn.

Parameters:
  `type` - The entity type. May be null for implementation specific default.

### clone

@NotNull @NotNull SpawnEggMeta clone()

Specified by:
  `clone` in interface `ItemMeta`